<?php
/*********************************************************************************
 *       Filename: admin_main.php
 *       Project: buysellwebsite site
 *       Author: Yanko Georgiev According with Ed Charkow's order
 *********************************************************************************/

//-------------------------------
// admin_main CustomIncludes begin

include ("./common.php");
include ("./header.php");
include ("./footer.php");

// admin_main CustomIncludes end
//-------------------------------

session_start();

//===============================
// Save Page and File Name available into variables
//-------------------------------
$filename = "admin_main.php";
$template_filename = "admin_main.html";
//===============================



//===============================
// admin_main PageSecurity begin
check_security(3);
// admin_main PageSecurity end
//===============================

//===============================
// admin_main Open Event begin
// admin_main Open Event end
//===============================

//===============================
// admin_main OpenAnyPage Event start
// admin_main OpenAnyPage Event end
//===============================

//===============================
//Save the name of the form and type of action into the variables
//-------------------------------
$sAction = get_param("FormAction");
$sForm = get_param("FormName");
//===============================

// admin_main Show begin

//===============================
// Display page
//-------------------------------
// Load HTML template for this page
//-------------------------------
$tpl = new Template($app_path);
$tpl->load_file($template_filename, "main");
//-------------------------------
// Load HTML template of Header and Footer
//-------------------------------
$tpl->load_file($header_filename, "Header");
$tpl->load_file($footer_filename, "Footer");
//-------------------------------
$tpl->set_var("FileName", $filename);



//-------------------------------
// Step through each form
//-------------------------------
h_show();footer_admin_show();footer_home_show();admin_main_show();

//-------------------------------
// Process page templates
//-------------------------------
$tpl->parse("Header", false);
$tpl->parse("Footer", false);
//-------------------------------
// Output the page to the browser
//-------------------------------
$tpl->pparse("main", false);
// admin_main Show end

//===============================
// admin_main Close Event begin
// admin_main Close Event end
//===============================
//********************************************************************************


//===============================
// Display Menu Form
//-------------------------------
function admin_main_show()
{
  global $tpl;
  global $db;
  $sFormTitle = "ADMIN PANEL";

//-------------------------------
// admin_main Open Event begin
// admin_main Open Event end
//-------------------------------

//-------------------------------
// Set URLs
//-------------------------------
  $fldField1 = "admin_ads_list.php";
  $fldField2 = "admin_users_list.php";
  $fldField3 = "admin_settings_menu.php";
//-------------------------------
// admin_main Show begin
//-------------------------------

  $tpl->set_var("FormTitle", $sFormTitle);

//-------------------------------
// admin_main BeforeShow Event begin
// admin_main BeforeShow Event end
//-------------------------------

//-------------------------------
// Show fields
//-------------------------------
  $tpl->set_var("Field1", $fldField1);
  $tpl->set_var("Field2", $fldField2);
  $tpl->set_var("Field3", $fldField3);
  $tpl->parse("Formadmin_main", false);

//-------------------------------
// admin_main Show end
//-------------------------------
}
//===============================

?>